Summary: URL extractor/viewer
Name: urlview
Version: 0.7
Release: 3
Group: Applications/Networking
Copyright: GPL
Url: http://www.mutt.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.guug.de/pub/mutt/contrib/urlview-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
`urlview' is a curses program for extracting URLs from text files and
displaying a menu from which you can select a specific URL to view using
your favorite browser program.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/slang" LDFLAGS=-s ./configure \
	--prefix=/usr --with-slang
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/man/man1}
make prefix=$RPM_BUILD_ROOT/usr install


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README 
%doc sample.urlview url_handler.sh urlview.sgml
/usr/bin/urlview
/usr/man/man1/urlview.1


%clean
rm -rf $RPM_BUILD_ROOT

